import React from 'react';
import './steps-offer.scss';
import './step-offer.scss';
declare type StepsOfferProps = {
    top?: boolean;
    sizeArrow?: sizeArrow;
    steps?: {
        btnText?: string;
        step?: number;
        disable?: boolean;
        onClickStep?: (event: React.MouseEvent<HTMLButtonElement>) => void;
    }[];
    stepItem?: stepItem;
};
declare type sizeArrow = 'md' | 'sm';
declare type stepItem = '2' | '3' | '4';
export declare const StepsOffer: React.FC<StepsOfferProps>;
export {};
